<?php
require_once "../controllers/boarding.php";
require_once "../controllers/app_settings.php";
$app_settings = new AppSettings();
$data = $app_settings->getData();

if ($_SERVER['REQUEST_METHOD'] === 'POST' &&    isset($_POST['update_app_settings'])) {
  $app_settings->update($_POST);
  $data = $app_settings->getData();
}

$boarding = new Boarding();
if ($_SERVER['REQUEST_METHOD'] === 'POST' &&   isset($_POST['update_boarding'])) {
  $boarding = new Boarding();
  $boarding->setParams($_POST);
  $boarding->delete();
}
?>
<!-- Content Header (Page header) -->
<div class="container-fluid">

  <!-- Page Heading -->
  <div class="d-sm-flex align-items-center justify-content-between mb-4">
    <h1 class="h3 mb-0 text-gray-800">صفحه معرفی اولیه</h1>
    <ol class="breadcrumb float-sm-right">
      <li class="breadcrumb-item"><a href="index.php">داشبورد</a></li>
      <li class="breadcrumb-item active">صفحه مرفی اولیه</li>
    </ol>
  </div>

  <div>
    <div class="card shadow mb-4">
      <!-- Card Header - Dropdown -->
      <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-primary">ویرایش صفحه معرفی اولیه ( فعالسازی ) </h6>
      </div>
      <!-- Card Body -->
      <div class="card-body">
        <form method="post" action="" id="form" enctype="multipart/form-data">
          <input type="hidden" name="update_app_settings" />
          <input type="hidden" name="boarding" value="false">
          <div class="row">
            <div class="col-md-6">
              <div class="form-group">
                <label for="boarding">صفحه معرفی اولیه</label>
                <div class="custom-control custom-switch">
                  <input type="hidden" name="boarding" value="false">
                  <input type="checkbox" class="custom-control-input boarding" id="boarding" name="boarding" value="true" data-bootstrap-switch <?php echo ($data["boarding"] ==  "true") ? ' checked="checked"' : ''; ?> />
                  <label class="custom-control-label" for="boarding"></label>
                </div>
              </div>
            </div>
          </div>
          <button type="submit" class="btn btn-primary btn-icon-split">
            <span class="icon text-white-50">
              <i class="fas fa-save"></i>
            </span>
            <span class="text">ذخیره</span>
          </button>
        </form>
      </div>
    </div>
    <div class="card shadow mb-4">
      <!-- Card Header - Dropdown -->
      <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-primary"> صفحه معرفی اولیه</h6>
        <a href="?page=boarding_add" class="btn btn-success btn-icon-split btn-sm">
          <span class="icon text-white-50">
            <i class="fas fa-plus"></i>
          </span>
          <span class="text">افزودن</span>
        </a>
      </div>
      <!-- Card Body -->
      <div class="card-body">
        <table id="example1" class="table table-bordered table-striped">
          <thead>
            <tr>
              <th>تصویر</th>
              <th>عنوان</th>
              <th>توضیحات</th>
              <th style="width: 150px;">وضعیت</th>
              <th style="width: 210px;">عملکرد</th>
            </tr>
          </thead>
          <tbody>
            <?php
            foreach ($boarding->getAll() as $m) {
            ?>
              <tr>
                <td><img src="../images/boarding/<?= $m['image'] ?>?<?= time() ?>" style="width:250px" class="img-thumbnail"></td>
                <td><?= $m['title'] ?></td>
                <td><?= $m['description'] ?></td>
                <td>
                  <span class="badge <?= $m['status'] ? 'badge-success' : 'badge-secondary' ?>"><?= $m['status'] ? "فعال" : "غیرفعال" ?></span>
                </td>
                <td>
                  <a href="?page=boarding_edit&id=<?= $m['id'] ?>" class="btn btn-info btn-icon-split btn-sm">
                    <span class="icon text-white-50">
                      <i class="fas fa-pencil-alt"></i>
                    </span>
                    <span class="text">ویرایش</span>
                  </a>
                  <a href="#" data-toggle="modal" data-target="#responsive-modal<?= $m['id'] ?>" class="btn btn-danger btn-icon-split btn-sm">
                    <span class="icon text-white-50">
                      <i class="fas fa-trash"></i>
                    </span>
                    <span class="text">حذف</span>
                  </a>
                  <!-- /.modal -->
                  <div class="modal fade" id="responsive-modal<?= $m['id'] ?>">
                    <div class="modal-dialog">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h4 class="modal-title">حذف</h4>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                          </button>
                        </div>
                        <div class="modal-body">
                          <p>آیا مطمئن هستید که میخواهید این صفحه را حذف کنید <b><?= $m['title'] ?></b>
                            <img src="../images/boarding/<?= $m['image'] ?>?<?= time() ?>" style="width:30px" class="img-thumbnail"> ?
                          </p>
                        </div>
                        <form id="form-responsive-modal<?= $m['id'] ?>" method="post">
                          <input type="hidden" name="update_boarding" />
                          <div class="modal-footer justify-content-between">
                            <input type="hidden" name="id" value="<?= $m['id'] ?>" />
                            <button type="button" class="btn btn-default" data-dismiss="modal">بستن</button>
                            <button type="submit" class="btn btn-danger waves-effect waves-light">حذف</button>
                        </form>
                      </div>
                    </div>
                    <!-- /.modal-content -->
                  </div>
                  <!-- /.modal-dialog -->
      </div>
      <!-- End Modal -->
      </td>


      </tr>

    <?php } ?>
    </tbody>
    <tfoot>
      <tr>
        <th>تصویر</th>
        <th>عنوان</th>
        <th>نوع</th>
        <th>وضعیت</th>
        <th>عملکرد</th>
      </tr>
    </tfoot>
    </table>
    </div>
  </div>
</div>